%define _prefix	/usr

%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_mandriva %(test -e /etc/mandriva-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_opensuse %(grep open /etc/SuSE-release 2> /dev/null 1>/dev/null && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

%if %is_mandrake
%define dist mandrake
%define disttag mdk
%endif
%if %is_mandriva
%define dist mandriva
%define disttag mdk
%endif
%if %is_suse
%define dist suse
%define disttag suse
%define kde_path /opt/kde3
%endif
%if %is_opensuse
%define dist openSUSE
%define disttag openSUSE
%define kde_path /opt/kde3
%endif
%if %is_fedora
%define dist fedora
%define disttag fc
%endif

%define distver %(release="`rpm -q --queryformat='%{VERSION}' %{dist}-release 2> /dev/null | tr . : | sed s/://g`" ; if test $? != 0 ; then release="" ; fi ; echo "$release")

Name:       ibus-kmfl
Version:    1.0.3
Release:    1%{disttag}%{distver}
Summary:    The KMFL engine for IBus platform
License:    GPLv2+
Source0:         %{name}-%{version}.tar.gz
Group:      System Environment/Libraries
URL:        http://kmfl.sourceforge.net

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig

BuildRequires:  ibus-devel
BuildRequires:  libkmfl-devel
Requires:   ibus
Requires:   libkmfl, kmflcomp

%description
KMFL engine for IBus input platform. It allows input of many languages using
the kmfl engine

%prep
%setup -q

%build
%configure --disable-static
# make -C po update-gmo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-kmfl
%{_datadir}/ibus/component/*
%{_datadir}/kmfl/icons/*


%changelog
* Mon Jul 19 2010 Doug Rintoul <doug_rintoul@sil.org> - 1.0.3-1
- Changed to let the application handle user generated backspaces
* Mon Dec 07 2009 Doug Rintoul <doug_rintoul@sil.org> - 1.0.2-1
- The first version.


